Package groovy.transform

# Enum TypeCheckingMode

java.lang.Object
java.lang.Enum<TypeCheckingMode>
groovy.transform.TypeCheckingMode

All Implemented Interfaces:
  `Serializable`, `Comparable<TypeCheckingMode>`, `java.lang.constant.Constable`

public enum TypeCheckingMode extends Enum<TypeCheckingMode>
This enumeration can be used whenever it is preferred to annotate a class as `TypeChecked` in general, but where only one or more methods are "dynamic". This allows the user to annotate the class itself then annotate only the methods which require exclusion.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `PASS`
  `SKIP`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static TypeCheckingMode`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static TypeCheckingMode[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### PASS

    public static final TypeCheckingMode PASS

  - ### SKIP

    public static final TypeCheckingMode SKIP

- ## Method Details

  - ### values

    public static TypeCheckingMode[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static TypeCheckingMode valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null